Bug 624804 - jabberd dies immediately after start
Summary: jabberd dies immediately after start
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Other   
(Show other bugs)
Version: 540
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Shannon Hughes
QA Contact: Garik Khachikyan
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: sat540-blockers 625708
TreeView+ depends on / blocked
 
Reported: 2010-08-17 20:00 UTC by Šimon Lukašík
Modified: 2015-01-04 21:57 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-10-28 15:00:43 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Šimon Lukašík 2010-08-17 20:00:00 UTC
Description of problem:
jabberd dies immediately after start on fresh installed Satellite-5.4.0-RHEL5-re20100817.0

Version-Release number of selected component (if applicable):
jabberd-2.0s10-3.52.el5sat

How reproducible:
always

Steps to Reproduce:
1. tail -F /var/log/messages
2. service jabberd start
3.
  
Actual results:
Aug 17 15:36:29 hp-ml370g5-01 jabberd/router[8291]: starting up
Aug 17 15:36:29 hp-ml370g5-01 jabberd/router[8291]: process id is 8291, written to /var/run/jabberd/router.pid
Aug 17 15:36:29 hp-ml370g5-01 jabberd/router[8291]: loaded user table (1 users)
Aug 17 15:36:29 hp-ml370g5-01 jabberd/router[8291]: [0.0.0.0, port=5347] listening for incoming connections
Aug 17 15:36:29 hp-ml370g5-01 jabberd/resolver[8292]: starting up
Aug 17 15:36:29 hp-ml370g5-01 jabberd/resolver[8292]: process id is 8292, written to /var/run/jabberd/resolver.pid
Aug 17 15:36:29 hp-ml370g5-01 jabberd/resolver[8292]: attempting connection to router at 127.0.0.1, port=5347
Aug 17 15:36:29 hp-ml370g5-01 jabberd/router[8291]: [127.0.0.1, port=37075] connect
Aug 17 15:36:29 hp-ml370g5-01 jabberd/resolver[8292]: connection to router established
Aug 17 15:36:29 hp-ml370g5-01 jabberd/router[8291]: [127.0.0.1, port=37075] authenticated as jabberd
Aug 17 15:36:29 hp-ml370g5-01 jabberd/router[8291]: [resolver] online (bound to 127.0.0.1, port 37075)
Aug 17 15:36:29 hp-ml370g5-01 jabberd/resolver[8292]: shutting down
Aug 17 15:36:29 hp-ml370g5-01 jabberd/router[8291]: shutting down
Aug 17 15:36:29 hp-ml370g5-01 jabberd/router[8291]: [127.0.0.1, port=37075] disconnect
Aug 17 15:36:29 hp-ml370g5-01 jabberd/router[8291]: [resolver] offline


Expected results:


Additional info:

Comment 4 Shannon Hughes 2010-08-25 20:51:58 UTC
built jabberd-2.2.8-3.el5sat. including in next satellite 540 iso.

Comment 5 Garik Khachikyan 2010-08-30 13:39:26 UTC
# VERIFIED 

Here is the package that was used in the verification scenario:jabberd-2.2.8-3.el5sat

and here is the extract of /var/log/message with regard to jabberd
---
Aug 30 15:08:15 smqe-sat11 jabberd/router[12472]: shutting down
Aug 30 15:08:23 smqe-sat11 jabberd/router[14090]: starting up
Aug 30 15:08:23 smqe-sat11 jabberd/router[14090]: process id is 14090, written to /var/lib/jabberd/pid/router.pid
Aug 30 15:08:23 smqe-sat11 jabberd/router[14090]: loaded user table (1 users)
Aug 30 15:08:23 smqe-sat11 jabberd/router[14090]: loaded filters (0 rules)
Aug 30 15:08:23 smqe-sat11 jabberd/router[14090]: [0.0.0.0, port=5347] listening for incoming connections
---

Comment 7 Clifford Perry 2010-10-28 14:55:38 UTC
The 5.4.0 RHN Satellite and RHN Proxy release has occurred. This issue has been resolved with this release. 


RHEA-2010:0801 - RHN Satellite Server 5.4.0 Upgrade
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10332

RHEA-2010:0803 - RHN Tools enhancement update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10333

RHEA-2010:0802 - RHN Proxy Server 5.4.0 bug fix update
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10334

RHEA-2010:0800 - RHN Satellite Server 5.4.0
https://rhn.redhat.com/rhn/errata/details/Details.do?eid=10335

Docs are available:

http://docs.redhat.com/docs/en-US/Red_Hat_Network_Satellite/index.html 

Regards,
Clifford


Note You need to log in before you can comment on or make changes to this bug.